#ifndef USER_HH
#define USER_HH

#include "global.hh"

/* using int or float : 4byte -> 4 */
/* only short         : 2byte -> 2 */
static const size_t DATA_SIZE(4);

/* how many data in one line? */
static const int NUMBER_OF_DATA(6);

/* need to ajust format and m_data_buf */
/* extra 'm_data_buf' is no problum,  must write 'format' correct */
/* int -> %d, float -> %f, short -> %d */
inline int USER_SSCANF(int& m_number_of_data, char* m_buf, int* m_data_buf)
{
  const char* format = "%d %f %f %f %f %f";
  m_number_of_data =
    sscanf(m_buf, format,
	   &m_data_buf[0],  &m_data_buf[1],  &m_data_buf[2],  &m_data_buf[3],
	   &m_data_buf[4],  &m_data_buf[5],  &m_data_buf[6],  &m_data_buf[7],
	   &m_data_buf[8],  &m_data_buf[9],  &m_data_buf[10], &m_data_buf[11],
	   &m_data_buf[12], &m_data_buf[13], &m_data_buf[14], &m_data_buf[15]);

  return OK;
}

/* header and ender. size is fixed so be careful */
static const char user_run_number[RUN_NUMBER_LEN + 1] = "RUN-1001";
static const char user_start_time[START_TIME_LEN + 1] = "START => 33:33:33 ";
static const char user_stop_time[STOP_TIME_LEN + 1] = " STOP => 44:44:44 ";
static const char user_print_time[PRINT_TIME_LEN + 1] = "PRINT => xx:xx:xx ";
static const char user_print_date[PRINT_DATE_LEN + 1] = " 01-JAN-01";
static const char user_header[HEADER_LEN + 1] = "hello world";
static const char user_ender[ENDER_LEN + 1] = "goodnight world";

#endif
